HamletSpec.BUTTON (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, interface: BUTTON

Package org.apache.hadoop.yarn.webapp.hamlet2

# Interface HamletSpec.BUTTON

All Superinterfaces:
  `HamletSpec.__`, `HamletSpec._Block`, `HamletSpec._Child`, `HamletSpec._Content`, `HamletSpec._FontSize`, `HamletSpec._FontStyle`, `HamletSpec._ImgObject`, `HamletSpec._InsDel`, `HamletSpec._Object`, `HamletSpec._RawContent`, `HamletSpec._Script`, `HamletSpec._Special`, `HamletSpec._SubSup`, `HamletSpec.Attrs`, `HamletSpec.CoreAttrs`, `HamletSpec.EventsAttrs`, `HamletSpec.FontStyle`, `HamletSpec.Heading`, `HamletSpec.I18nAttrs`, `HamletSpec.Listing`, `HamletSpec.PCData`, `HamletSpec.Phrase`, `HamletSpec.Preformatted`

All Known Implementing Classes:
  `Hamlet.BUTTON`

Enclosing class:
  HamletSpec

public static interface HamletSpec.BUTTON extends HamletSpec._Block, HamletSpec.PCData, HamletSpec.FontStyle, HamletSpec.Phrase, HamletSpec._Special, HamletSpec._ImgObject, HamletSpec._SubSup, HamletSpec.Attrs

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HamletSpec.BUTTON`
  `$accesskey(String cdata)`
  accessibility key character
  `HamletSpec.BUTTON`
  `$disabled()`
  unavailable in this context
  `HamletSpec.BUTTON`
  `$name(String cdata)`
  name of the value
  `HamletSpec.BUTTON`
  `$onblur(String script)`
  the element lost the focus
  `HamletSpec.BUTTON`
  `$onfocus(String script)`
  the element got the focus
  `HamletSpec.BUTTON`
  `$tabindex(int index)`
  position in tabbing order
  `HamletSpec.BUTTON`
  `$type(HamletSpec.ButtonType type)`
  for use as form button
  `HamletSpec.BUTTON`
  `$value(String cdata)`
  sent to server when submitted

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Block

  `__, address, address, blockquote, bq, div, div, dl, dl, hr, hr, p, p, table, table`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

  `__`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Content

  `__`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FontSize

  `small, small, small`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FontStyle

  `b, b, b, i, i, i`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._ImgObject

  `img, img`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._InsDel

  `del, del, ins, ins`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Object

  `object, object`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._RawContent

  `_r`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Script

  `script, script`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Special

  `bdo, bdo, br, br, map, map, q, q, q, span, span, span`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._SubSup

  `sub, sub, sub, sup, sup, sup`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

  `$class, $id, $style, $title`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

  `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Heading

  `h1, h1, h1, h2, h2, h2, h3, h3, h3, h4, h4, h4, h5, h5, h5, h6, h6, h6`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

  `$dir, $lang`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Listing

  `ol, ol, ul, ul`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Phrase

  `abbr, abbr, abbr, cite, cite, cite, code, code, code, dfn, dfn, dfn, em, em, em, kbd, kbd, kbd, samp, samp, samp, strong, strong, strong, var, var, var`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Preformatted

  `pre, pre`

- ## Method Details

  - ### $name

    HamletSpec.BUTTON $name(String cdata)
    name of the value
    Parameters:
      `cdata` - the content of the element.
    Returns:
      the current element builder

  - ### $value

    HamletSpec.BUTTON $value(String cdata)
    sent to server when submitted
    Parameters:
      `cdata` - the content of the element.
    Returns:
      the current element builder

  - ### $type

    HamletSpec.BUTTON $type(HamletSpec.ButtonType type)
    for use as form button
    Parameters:
      `type` - button type.
    Returns:
      the current element builder

  - ### $disabled

    HamletSpec.BUTTON $disabled()
    unavailable in this context
    Returns:
      the current element builder

  - ### $tabindex

    HamletSpec.BUTTON $tabindex(int index)
    position in tabbing order
    Parameters:
      `index` - the index
    Returns:
      the current element builder

  - ### $accesskey

    HamletSpec.BUTTON $accesskey(String cdata)
    accessibility key character
    Parameters:
      `cdata` - the content of the element.
    Returns:
      the current element builder

  - ### $onfocus

    HamletSpec.BUTTON $onfocus(String script)
    the element got the focus
    Parameters:
      `script` - to invoke.
    Returns:
      the current element builder

  - ### $onblur

    HamletSpec.BUTTON $onblur(String script)
    the element lost the focus
    Parameters:
      `script` - to invoke.
    Returns:
      the current element builder